Skip to content

Embedded Payments API (1.0)

The API allows a POS to accept Embedded Payments payments.

Overview
Languages
Servers
Production
https://api.tyro.com/connect

Merchants

Operations

Locations

Operations

Connections

Operations

Readers

Operations

Transactions

Operations

Fetch an Embedded Payments transaction

Request

This endpoint is used for retrieving an Embedded Payments transaction.

Security
JWT
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  'https://api.tyro.com/connect/tap-to-pay/merchants/{merchantId}/transactions/{transactionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
transactionIdstring

The ID for this transaction

transactionLocalDateTimestring(date-time)

The time the transaction was created. The format of the date time is the notation as defined by RFC 3339, section 5.6

Example: "2023-05-02T08:28:13"
referencestring

The unique reference supplied by the partner to initialize this transaction.

transactionReferencestring

The terminalStan ID associated with this transaction.

locationIdstring

The locationId that was used for this transaction.

Example: "tc-exampleshop-3000"
midstring

The merchant id.

tidstring

The terminal id.

amountnumber

The amount (in cents) being paid for the goods and services.

paymentTypestring

The payment type

Enum"Purchase""Refund"
surchargeAmountnumber

Surcharge amount in cents.

tipAmountnumber

Tip amount in cents.

elidedPanstring

The last four digits of the PAN number.

cardTypestring

The card type that was used, e.g. Visa

approvalCodestring

Approval code.

transactionResultstring

Transaction result.

Example: "APPROVED"
retrievalReferenceNumberstring

Retrieval reference number.

customerReceiptstring

Customer receipt.

Example: " Example Restaurant\n 55 Market St\n Sydney NSW 2000\n\n Tyro Payments EFTPOS\n\nVisa DEBIT\nAID: A0000000031010\nCard: XXXXXXXXX2989(T)\nPSN: 00, ATC: 0007\nTVR: 0000000000\n\nPurchase AUD $4.55\n----------------------------\nTotal AUD $4.55\n\nAPPROVED 00\n\nTerminal ID: 4\nTransaction Ref: 395001\nAuthorisation No: 000184\n02 Apr 2024 at 04:52 PM"
Response
application/json
{ "transactionId": "string", "transactionLocalDateTime": "2023-05-02T08:28:13", "reference": "string", "transactionReference": "string", "locationId": "tc-exampleshop-3000", "mid": "string", "tid": "string", "amount": 0, "paymentType": "Purchase", "surchargeAmount": 0, "tipAmount": 0, "elidedPan": "string", "cardType": "string", "approvalCode": "string", "transactionResult": "APPROVED", "retrievalReferenceNumber": "string", "customerReceipt": " Example Restaurant\n 55 Market St\n Sydney NSW 2000\n\n Tyro Payments EFTPOS\n\nVisa DEBIT\nAID: A0000000031010\nCard: XXXXXXXXX2989(T)\nPSN: 00, ATC: 0007\nTVR: 0000000000\n\nPurchase AUD $4.55\n----------------------------\nTotal AUD $4.55\n\nAPPROVED 00\n\nTerminal ID: 4\nTransaction Ref: 395001\nAuthorisation No: 000184\n02 Apr 2024 at 04:52 PM" }

List Embedded Payments transactions

Request

This endpoint is used for retrieving Embedded Payments transactions by search.

Security
JWT
Query
referencestring
locationIdstring

The location ID of the transactions to be retrieved.

This is the location ID of the merchant that you are using to retrieve the transactions.

Example: locationId=tc-location-2000
limitnumber[ 1 .. 100 ]

Specifies the amount of results to be retrieved.

A maximum of 100 results are returned if this value is not provided.

Example: limit=10
pagenumber>= 1

Specify the page to retrieve.

You will need to use this setting if you wish to retrieve specific pages.

Page-numbering is based on the value of "limit". If limit=5, then page=1 will display the hits from 1 to 5, page=3 will display the hits from 11 to 15.

Page numbers start at 1.

A request for a non-existing page will yield 0 results.

Example: page=2
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  'https://api.tyro.com/connect/tap-to-pay/merchants/{merchantId}/transactions?reference=string&locationId=tc-location-2000&limit=10&page=2' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects(Embedded Payments Transaction Response)required

The results for the location that satisfy the filtering criteria

results[].​transactionIdstring

The ID for this transaction

results[].​transactionLocalDateTimestring(date-time)

The time the transaction was created. The format of the date time is the notation as defined by RFC 3339, section 5.6

Example: "2023-05-02T08:28:13"
results[].​referencestring

The unique reference supplied by the partner to initialize this transaction.

results[].​transactionReferencestring

The terminalStan ID associated with this transaction.

results[].​locationIdstring

The locationId that was used for this transaction.

Example: "tc-exampleshop-3000"
results[].​midstring

The merchant id.

results[].​tidstring

The terminal id.

results[].​amountnumber

The amount (in cents) being paid for the goods and services.

results[].​paymentTypestring

The payment type

Enum"Purchase""Refund"
results[].​surchargeAmountnumber

Surcharge amount in cents.

results[].​tipAmountnumber

Tip amount in cents.

results[].​elidedPanstring

The last four digits of the PAN number.

results[].​cardTypestring

The card type that was used, e.g. Visa

results[].​approvalCodestring

Approval code.

results[].​transactionResultstring

Transaction result.

Example: "APPROVED"
results[].​retrievalReferenceNumberstring

Retrieval reference number.

results[].​customerReceiptstring

Customer receipt.

Example: " Example Restaurant\n 55 Market St\n Sydney NSW 2000\n\n Tyro Payments EFTPOS\n\nVisa DEBIT\nAID: A0000000031010\nCard: XXXXXXXXX2989(T)\nPSN: 00, ATC: 0007\nTVR: 0000000000\n\nPurchase AUD $4.55\n----------------------------\nTotal AUD $4.55\n\nAPPROVED 00\n\nTerminal ID: 4\nTransaction Ref: 395001\nAuthorisation No: 000184\n02 Apr 2024 at 04:52 PM"
paginationobjectrequired
pagination.​pageinteger>= 1required
Example: 1
pagination.​sizeintegerrequired
Example: 10
pagination.​limitintegerrequired
Example: 100
pagination.​totalintegerrequired
Example: 45
Response
application/json
{ "results": [ {} ], "pagination": { "page": 1, "size": 10, "limit": 100, "total": 45 } }